Bug 730658 - Unbundle DateTime::Locale and DateTime::TimeZone
Summary: Unbundle DateTime::Locale and DateTime::TimeZone
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-DateTime
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Iain Arnell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 730656 730657
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-15 09:33 UTC by Iain Arnell
Modified: 2011-10-03 15:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-03 15:11:55 UTC


Attachments (Terms of Use)

Description Iain Arnell 2011-08-15 09:33:28 UTC
Our perl-DateTime package bundles DateTime::Locale and DateTime::TimeZone. To simplify maintenance, I would like to unbundle them and maintain them as separate packages. (DateTime::TimeZone gets updated fairly frequently, but it's not possible to get automatic notifications from Upstream Release Monitoring, for example). It's also worth noting that neither suse nor debian bundle these modules.

The original rationale for bundling was due to circular (build) dependencies. This no longer applies for DateTime::Locale (DateTime::Locale does not require DateTime). For DateTime::TimeZone, the circular dependencies can temporarily be avoided using perl_bootstrap macro and appropriate filtering.

I've filed bug 730656 and bug 730657 for review of new perl-DateTime-Locale and perl-DateTime-TimeZone packages.

Comment 1 Iain Arnell 2011-08-15 09:40:40 UTC
I've prepared an updated spec that only includes DateTime. And since upstream doesn't appear to have used 4 digits in the version number for a couple of years, now, I think it's worthwhile bumping epoch again and reverting to upstream's 2 digit version number.

Spec URL: http://iarnell.home.xs4all.nl/review/perl-DateTime.spec
SRPM URL: http://iarnell.home.xs4all.nl/review/perl-DateTime-0.70-1.fc17.src.rpm

Comment 2 Petr Šabata 2011-08-15 10:45:50 UTC
(In reply to comment #0)
> I've filed bug 730656 and bug 730657 for review of new perl-DateTime-Locale and
> perl-DateTime-TimeZone packages.

I'll take a look at those.

Comment 3 Iain Arnell 2011-08-15 10:53:41 UTC
Thanks, Petr.

Unless Steve shows up, I would also appreciate a review of the changes here too. It's not strictly required, but I basically rebuilt the spec from scratch, so I think having a second pair of eyes take a look would be sensible.

Comment 4 Petr Šabata 2011-08-15 12:43:49 UTC
(In reply to comment #3)
> Thanks, Petr.
> 
> Unless Steve shows up, I would also appreciate a review of the changes here
> too. It's not strictly required, but I basically rebuilt the spec from scratch,
> so I think having a second pair of eyes take a look would be sensible.

Sure, no problem :)

Comment 5 Petr Šabata 2011-08-18 12:04:45 UTC
Iain,

the new package looks quite good to me.  However, I'd like to add perl(base), perl(constant) and perl(XSLoader) to BR list, and perl(XSLoader) as a runtime dep as well.  Again, those are separate packages and XSLoader isn't detected by RPM.

You might want to filter some deps out as well, e.g.:
perl(DateTime::Locale) >= 0.40
perl(DateTime::Locale) >= 0.41
perl(DateTime::TimeZone)  
perl(DateTime::TimeZone) >= 0.59
perl(DateTime::TimeZone) >= 1.09

You could also enable more tests but I don't think that's necessary.

Comment 6 Iain Arnell 2011-08-18 12:45:30 UTC
Thanks again, Petr. I'll tweak the dependencies.

I've requested branches for f14, f15, and f16, but will take it slowly and wait before thinking about pushing this to f14 and f15.

Comment 7 Iain Arnell 2011-08-18 16:10:24 UTC
Updated in rawhide.

Comment 8 Iain Arnell 2011-08-18 16:36:39 UTC
Taking as it's not really a review and I'm the one working on it.

Comment 9 Fedora Update System 2011-08-18 18:09:49 UTC
perl-DateTime-TimeZone-1.35-3.fc16,perl-DateTime-0.70-2.fc16,perl-DateTime-Locale-0.45-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-DateTime-TimeZone-1.35-3.fc16,perl-DateTime-0.70-2.fc16,perl-DateTime-Locale-0.45-1.fc16

Comment 10 Fedora Update System 2011-08-28 05:44:30 UTC
perl-DateTime-TimeZone-1.35-3.fc16, perl-DateTime-0.70-2.fc16, perl-DateTime-Locale-0.45-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.